upstream plex-upstream {
    server plex:32400;
}

upstream godhand-upstream {
    server godhand;
}

server {
  server_name plex.beelzebub.local;
  listen 80;
  location / {
    if ($http_x_plex_device_name = '') {
        rewrite ^/$ http://$http_host/web/index.html;
    }
    proxy_pass http://plex-upstream/;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;

    # Plex proxy settings.
    proxy_redirect      off;
    proxy_buffering     off;
    ## Required for Websockets
    proxy_http_version      1.1;
    proxy_set_header        Upgrade         $http_upgrade;
    proxy_set_header        Connection      "upgrade";
    proxy_read_timeout      36000s;         ## Timeout after 10 hours

  }
}

server {
  server_name godhand.beelzebub.local;
  listen 80;
  location / {
    client_max_body_size 500M;
    proxy_pass http://godhand-upstream/;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;

    # Plex proxy settings.
    proxy_redirect      off;
    proxy_buffering     off;
    ## Required for Websockets
    proxy_http_version      1.1;
    proxy_set_header        Upgrade         $http_upgrade;
    proxy_set_header        Connection      "upgrade";
    proxy_read_timeout      36000s;         ## Timeout after 10 hours

  }
}
